Name:          libsodium23
Version:       1.0.18
Release:       2mamba
Summary:       A modern and easy-to-use crypto library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/jedisct1/libsodium
Source:        http://download.libsodium.org/libsodium/releases/libsodium-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
Sodium is a new, easy-to-use software library for encryption, decryption, signatures, password hashing and more.
It is a portable, cross-compilable, installable, packageable fork of NaCl, with a compatible API, and an extended API to improve usability even further.
Its goal is to provide all of the core operations needed to build higher-level cryptographic tools.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package static
Summary:        Static %{name} library
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%debug_package

%prep
%setup -q -n libsodium-%{version}

%build
%configure --disable-silent-rules
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsodium.so.*
%doc AUTHORS LICENSE THANKS

%files devel
%defattr(-,root,root)
%{_includedir}/sodium.h
%{_includedir}/sodium
%{_libdir}/libsodium.so
%{_libdir}/pkgconfig/libsodium.pc
%doc ChangeLog README.markdown

%files static
%defattr(-,root,root)
%{_libdir}/libsodium.a

%changelog
* Sat Sep 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.18-2mamba
- legacy package

* Fri May 31 2019 Automatic Build System <autodist@mambasoft.it> 1.0.18-1mamba
- automatic version update by autodist

* Tue Jan 08 2019 Automatic Build System <autodist@mambasoft.it> 1.0.17-1mamba
- automatic version update by autodist

* Tue Dec 19 2017 Automatic Build System <autodist@mambasoft.it> 1.0.16-1mamba
- automatic update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 1.0.15-1mamba
- automatic version update by autodist

* Sat Sep 30 2017 Automatic Build System <autodist@mambasoft.it> 1.0.14-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 1.0.13-1mamba
- automatic version update by autodist

* Wed Mar 22 2017 Automatic Build System <autodist@mambasoft.it> 1.0.12-1mamba
- automatic version update by autodist

* Thu Aug 04 2016 Automatic Build System <autodist@mambasoft.it> 1.0.11-1mamba
- automatic version update by autodist

* Tue Apr 05 2016 Automatic Build System <autodist@mambasoft.it> 1.0.10-1mamba
- automatic version update by autodist

* Sun Apr 03 2016 Automatic Build System <autodist@mambasoft.it> 1.0.9-1mamba
- automatic version update by autodist

* Mon Jan 25 2016 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic version update by autodist

* Wed Nov 04 2015 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Sun Oct 25 2015 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Sun Oct 18 2015 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Fri Sep 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 1.0.3-2mamba
- move the static library to libsodium-static

* Fri Sep 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 1.0.3-1mamba
- package created by autospec
